/*
   This is a part of the Niver's Settings IPC LiteStep Module Source code.

   Copyright (C) 2003 Niversoft 
   http//niversoft.dyndns.org
   info@niversoft.dyndns.org

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

//-------------------------------------------------------------------------------------

#pragma once

#define WIN32_LEAN_AND_MEAN
#define STRICT

#include "lsapi/common.h"
#include "settingsipcdefs.h"

class settingsipc_svr
{
   HANDLE m_Thread;   
   HANDLE hMap, hExec, hDone;
   TSharedMemory * pMsg;
   DWORD MainThreadProc();

public:   

	settingsipc_svr(HINSTANCE dllInst, int& code);
	~settingsipc_svr();      

private:
   static DWORD WINAPI MainThreadProc(LPVOID lpParameter);
};

extern "C"
{
	__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
	__declspec( dllexport ) void quitModule(HINSTANCE dllInst);
}

